#
# weechat -- trigger.conf
#
# WARNING: It is NOT recommended to edit this file by hand,
# especially if WeeChat is running.
#
# Use commands like /set or /fset to change settings in WeeChat.
#
# For more info, see: https://weechat.org/doc/weechat/quickstart/
#

[look]
enabled = on
monitor_strip_colors = off

[color]
flag_command = lightgreen
flag_conditions = yellow
flag_post_action = lightblue
flag_regex = lightcyan
flag_return_code = lightmagenta
identifier = cyan
regex = white
replace = cyan

[trigger]
beep.arguments = ""
beep.command = "/print -beep"
beep.conditions = "${tg_highlight} || ${tg_msg_pv}"
beep.enabled = on
beep.hook = print
beep.post_action = none
beep.regex = ""
beep.return_code = ok
cmd_pass.arguments = "5000|input_text_display;5000|history_add;5000|irc_command_auth"
cmd_pass.command = ""
cmd_pass.conditions = ""
cmd_pass.enabled = on
cmd_pass.hook = modifier
cmd_pass.post_action = none
cmd_pass.regex = "==^((/(msg|quote) +nickserv +(id|identify|register|ghost +\S+|release +\S+|regain +\S+) +)|/oper +\S+ +|/quote +pass +|/set +\S*password\S* +|/secure +(passphrase|decrypt|set +\S+) +)(.*)==$1$.*+"
cmd_pass.return_code = ok
dim_freenode_Mis012[m].arguments = "weechat_print"
dim_freenode_Mis012[m].command = ""
dim_freenode_Mis012[m].conditions = "${tg_tag_nick} == Mis012[m] && ${server} == freenode"
dim_freenode_Mis012[m].enabled = on
dim_freenode_Mis012[m].hook = modifier
dim_freenode_Mis012[m].post_action = none
dim_freenode_Mis012[m].regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_Mis012[m].return_code = ok
dim_freenode_blscoe.arguments = "weechat_print"
dim_freenode_blscoe.command = ""
dim_freenode_blscoe.conditions = "${tg_tag_nick} == blscoe && ${server} == freenode"
dim_freenode_blscoe.enabled = on
dim_freenode_blscoe.hook = modifier
dim_freenode_blscoe.post_action = none
dim_freenode_blscoe.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_blscoe.return_code = ok
dim_freenode_h4rd3n3D.arguments = "weechat_print"
dim_freenode_h4rd3n3D.command = ""
dim_freenode_h4rd3n3D.conditions = "${tg_tag_nick} == h4rd3n3D && ${server} == freenode"
dim_freenode_h4rd3n3D.enabled = on
dim_freenode_h4rd3n3D.hook = modifier
dim_freenode_h4rd3n3D.post_action = none
dim_freenode_h4rd3n3D.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_h4rd3n3D.return_code = ok
dim_freenode_h4rd3n3D_.arguments = "weechat_print"
dim_freenode_h4rd3n3D_.command = ""
dim_freenode_h4rd3n3D_.conditions = "${tg_tag_nick} == h4rd3n3D_ && ${server} == freenode"
dim_freenode_h4rd3n3D_.enabled = on
dim_freenode_h4rd3n3D_.hook = modifier
dim_freenode_h4rd3n3D_.post_action = none
dim_freenode_h4rd3n3D_.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_h4rd3n3D_.return_code = ok
dim_freenode_iamchroot.arguments = "weechat_print"
dim_freenode_iamchroot.command = ""
dim_freenode_iamchroot.conditions = "${tg_tag_nick} == iamchroot && ${server} == freenode"
dim_freenode_iamchroot.enabled = on
dim_freenode_iamchroot.hook = modifier
dim_freenode_iamchroot.post_action = none
dim_freenode_iamchroot.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_iamchroot.return_code = ok
dim_freenode_joan2.arguments = "weechat_print"
dim_freenode_joan2.command = ""
dim_freenode_joan2.conditions = "${tg_tag_nick} == joan2 && ${server} == freenode"
dim_freenode_joan2.enabled = on
dim_freenode_joan2.hook = modifier
dim_freenode_joan2.post_action = none
dim_freenode_joan2.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_joan2.return_code = ok
dim_freenode_n00b101.arguments = "weechat_print"
dim_freenode_n00b101.command = ""
dim_freenode_n00b101.conditions = "${tg_tag_nick} == n00b101 && ${server} == freenode"
dim_freenode_n00b101.enabled = on
dim_freenode_n00b101.hook = modifier
dim_freenode_n00b101.post_action = none
dim_freenode_n00b101.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_n00b101.return_code = ok
dim_freenode_n00b102.arguments = "weechat_print"
dim_freenode_n00b102.command = ""
dim_freenode_n00b102.conditions = "${tg_tag_nick} == n00b102 && ${server} == freenode"
dim_freenode_n00b102.enabled = on
dim_freenode_n00b102.hook = modifier
dim_freenode_n00b102.post_action = none
dim_freenode_n00b102.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_n00b102.return_code = ok
dim_freenode_perrier-jouet.arguments = "weechat_print"
dim_freenode_perrier-jouet.command = ""
dim_freenode_perrier-jouet.conditions = "${tg_tag_nick} == perrier-jouet && ${server} == freenode"
dim_freenode_perrier-jouet.enabled = on
dim_freenode_perrier-jouet.hook = modifier
dim_freenode_perrier-jouet.post_action = none
dim_freenode_perrier-jouet.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_freenode_perrier-jouet.return_code = ok
dim_liberachat_TheArcaneBrony.arguments = "weechat_print"
dim_liberachat_TheArcaneBrony.command = ""
dim_liberachat_TheArcaneBrony.conditions = "${tg_tag_nick} == TheArcaneBrony && ${server} == liberachat"
dim_liberachat_TheArcaneBrony.enabled = on
dim_liberachat_TheArcaneBrony.hook = modifier
dim_liberachat_TheArcaneBrony.post_action = none
dim_liberachat_TheArcaneBrony.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_liberachat_TheArcaneBrony.return_code = ok
dim_liberachat_psychotron.arguments = "weechat_print"
dim_liberachat_psychotron.command = ""
dim_liberachat_psychotron.conditions = "${tg_tag_nick} == psychotron && ${server} == liberachat"
dim_liberachat_psychotron.enabled = on
dim_liberachat_psychotron.hook = modifier
dim_liberachat_psychotron.post_action = none
dim_liberachat_psychotron.regex = "/(.*)/${color:darkgray}${tg_prefix_nocolor}\t${color:darkgray}${tg_message_nocolor}/"
dim_liberachat_psychotron.return_code = ok
msg_auth.arguments = "5000|irc_message_auth"
msg_auth.command = ""
msg_auth.conditions = ""
msg_auth.enabled = on
msg_auth.hook = modifier
msg_auth.post_action = none
msg_auth.regex = "==^(.*(id|identify|register|ghost +\S+|release +\S+) +)(.*)==$1$.*+"
msg_auth.return_code = ok
ptpburl.arguments = "ptpburl"
ptpburl.command = "/command -buffer ${buffer.full_name} core /input delete_line;/command -buffer ${buffer.full_name} core /input insert ${out}"
ptpburl.conditions = ""
ptpburl.enabled = on
ptpburl.hook = hsignal
ptpburl.post_action = none
ptpburl.regex = ""
ptpburl.return_code = ok
server_pass.arguments = "5000|input_text_display;5000|history_add"
server_pass.command = ""
server_pass.conditions = ""
server_pass.enabled = on
server_pass.hook = modifier
server_pass.post_action = none
server_pass.regex = "==^(/(server|connect) .*-(sasl_)?password=)(\S+)(.*)==$1$.*4$5"
server_pass.return_code = ok
setdict.arguments = "*,irc_in2_join"
setdict.command = "/set spell.dict.irc.${server}.${channel} ${tg_signal_data}"
setdict.conditions = "${nick} == ${info:irc_nick,${server}} && ${channel} =~ [.-](fr|en|es)$ && ${spell.dict.irc.${server}.${channel}} =="
setdict.enabled = on
setdict.hook = signal
setdict.post_action = none
setdict.regex = "/.*[.-](fr|it|es)$/${re:1}/"
setdict.return_code = ok
